---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: postamates-beat
  namespace: spatial
  labels:
    app.kubernetes.io/name: postamates-beat
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/name: postamates-beat
  template:
    metadata:
      labels:
        app.kubernetes.io/name: postamates-beat
    spec:
      containers:
      - name: beat
        image: DEPLOY_IMAGE_TAG
        command: ["sh", "-c", "celery -A postamates beat -l info --scheduler django_celery_beat.schedulers:DatabaseScheduler"]
        envFrom:
          - configMapRef:
              name: postamates-configmap
        resources:
          requests:
            memory: "256Mi"
            cpu: "50m"
          limits:
            memory: "256Mi"
            cpu: "50m"
